#ifndef SCORE_H_BUBWINY
#define SCORE_H_BUBWINY

#include "types8.h"

#define SCLIST_MAXCOUNT		30
#define SCLABEL_LEN		5

//#define SCCELS_DUR  500
//#define SCCELS_MINY 60

/*
ScoreLabel obsahuje jen zkladn informace o jednotlivm labelu, 
ale je obsluhovan "zvenku" scorelistem
*/

class ScoreLabel {
public:
	int x;
	int y;
	DWORD color;
	DWORD bigy;
	int alpha;
	char svalue[SCLABEL_LEN+1];
	//
	ScoreLabel()
	{
		x = 0;
		y = 0;
		bigy = 0;
		color = 0;
		alpha = 0;
		svalue[SCLABEL_LEN] = 0;
	};
	/*
   ScoreLabel(int ix,int iy, DWORD icolor, char * isvalue)
	{
		x = ix;
		y = iy;
		color = icolor;
		alpha = 255;
		strcpy(svalue, isvalue);
	};
	*/
};

/*
ScoreList pidv, posouv i ru jednotliv scorelabels
pouv jeden spolen vertexbuffer pro vechny 
(mlo by to optimalizovat rychlost)
*/

class ScoreList {
public:
   int count;
   ScoreLabel list[SCLIST_MAXCOUNT];
	Font8 *font;
	IDirect3DVertexBuffer8* lpVertexBuffer;
   //
	void Add(int x, int y, DWORD icolor, int sc_value);
	void RemoveAll();
	void Paint();
	void Move();
   ScoreList(Font8 *ifont);
	~ScoreList();
};

#endif
