#ifndef MESSAGE_H_42
#define MESSAGE_H_42

#include "consts.h"
#include "types8.h"
#include "font8.h"

#define IND_CENTER   0
#define IND_LEFT     1
#define IND_RIGHT    2
#define MSGMAX			64

class Message {
public:
	char text[MSGMAX];
	int  duration;
	int  x, y;
	int  align;
	Font8 *fnt;
	DWORD colour;
	DWORD size;

	void Options (int nx, int ny, int nalign = ALIGN_CENTER);
	void Set (const char *what, DWORD col = 0xffffffff);
	void Paint();
   void Action();
	void Hide();
   void Tick();

   Message ();
};

#endif