#ifndef DROP_H_BUBWINY
#define DROP_H_BUBWINY

#include <stddef.h>
#include "types8.h"
#include "consts.h"


//##########################################################################
//----------------------------- Li'll Drops --------------------------------
//##########################################################################

class BubbleDrop {
public:
   int mul_x, mul_y;               //nova pozice * MULMOVE;
   int movex,movey;                //rychlost
   int b_mminx, b_mmaxx,           // hranice x
      b_mminy, b_mmaxy;            // hranice y
   Texture gfx;
   int grave;
   int warp;
   int warpcnt;
   RECT frameRect;
	int size;								// vykreslovaci rozmer
        //
   void Paint ();
   int  Move();

   BubbleDrop(Texture gfx,int ix,int iy,int vx,int vy,BYTE color,int g, int s = DROP_PAINT);
};

class DropList {
public:
   int count;
   BubbleDrop *list[MAXDROP];
   Texture gfx;
   
   void Blast(int ax,int ay,BYTE color,int grav);
   void HorizontalBlast(int ax,int ay,BYTE color,int grav, int direction);
   void OneDrop(int ax,int ay,int mx,int my,BYTE color,int grav,int warp = 0, int s = DROP_PAINT);
   void Move();    //posachuje a pripadne vyhodi
   void RemoveAll();
   DropList();
};

#endif