#ifndef UTILS_H_BUBWINY
#define UTILS_H_BUBWINY

// nevim jiste, jestli je to tu treba... 
// zda se, ze to melo zmizet, ale nevim proc, tak jsem to kopnul zpatky =) V.
// 2008 - a zd se, e nikde nen define CLASSIC_DEBUG
#define CLASSIC_DEBUG
#ifdef CLASSIC_DEBUG
#define DEBUG_MESSAGE(text) OutputDebugString(text);
#else
#define DEBUG_MESSAGE(text)
#endif
// end of useless code

#define SAFE_RELEASE(p)       if ((p) != NULL) { (p)->Release(); p = NULL; }
#define SAFE_DELETE(p)        if ((p) != NULL) { delete (p); p = NULL; }
#define SAFE_DELETE_ARRAY(p)  if ((p) != NULL) { delete [] (p); p = NULL; }

#define random(limit)      ((long)((limit+1)*(float)rand()/(float)RAND_MAX))

extern char pom_string[256];

void numtos(long numb, int width, char *target);
unsigned long powerof2(unsigned long numb);

// rozdeli radek textu na slova (oddelovace jsou mezery, tabelatory a konce radku)
char **line2words(const char *line);

// casovac s pohyblivym ukazatelem
struct Timer {
   int            timemax, timeunit, timecurrent;
   unsigned long  xmin, xmax, xcurrent;
	unsigned long  lastxcurrent;				// aby bylo mozne poznat zmenu
	unsigned long  lastxchanged;				// aby bylo mozne poznat zmenu
   bool           cutmax;
   bool           ltor;

   Timer();
   Timer (int timemax,unsigned long xmin,unsigned long xmax, bool cutmax = true,bool ltor = true);
   
   int  decrease(int amount);
   int  increase(int amount);
   void set(int value);
   void options(int timemax,unsigned long xmin,unsigned long xmax,bool cutmax,bool ltor);
	void updatex();	// aktualizuje xcurrent
	bool changedx();	// jestli se xcurrent od minuleho dotazu zmenil
};

#endif