#ifndef MENU_H_BUBWINY
#define MENU_H_BUBWINY

#include "types8.h"
#include "gs_gamestage.h"
#include "menuobject8.h"

typedef union {
   DWORD mulvalue;
   WORD value[2];
} MoveValue;

class Menu : public GameStage {
public:
   MenuObject *menu;
   MenuObject mainmenu;
   MenuObject optionmenu;
   MenuObject creditmenu;
   MenuObject helpmenu;
   MenuObject help2menu;
   MenuObject keymenu;
   MenuObject soundmenu;
   MenuObject toppermenu;
   MenuObject victorymenu;

   DWORD oldtime;
   Texture gfxback;
   Texture gfxtitle;
   Texture gfximg;
   Texture gfximgnext;

	Texture gfxdragons;
	Texture gfxpeople;
	Texture gfxking;
	Texture gfxsetup;
	Texture gfxhelp;
	Texture gfxvictory;
   char exitsys;
   char exitmenu;

	RFileHeader * rhback;
	RFileHeader * rhtitle;

	int movex;
	int accx;
	int posx;
	
	DWORD alpha;
	int alphagrad;
	//int crossfade;

	RECT imgfrom;
	RECT imgto;

   Menu();

   virtual void load();
   virtual void start();
   virtual void update();
   virtual void stop();
   virtual void restore();     

   void startToppers();
   void stopToppers();
};

#endif