#ifndef R32_H_ERIADOR
#define R32_H_ERIADOR

#include <wtypes.h>

// R file version: 5

#define RHDR_RESERVED_CNT 21
#define RHDRFLAG_VARIABLEFONT   1   // bit 0 - fixed font | variable font

struct RFileHeader {
   char szId[4];
   DWORD dwWidth;
   DWORD dwHeight;
   DWORD dwCelWidth;	// max sirka znaku
   DWORD dwCelHeight; // max vyska znaku
   BYTE  byCelRow;	// pocet znaku na radek
   BYTE  byDepth;
   BYTE  byType;	// 0 - nekomprimovan  1  2 - komprese
   BYTE  byFontFirst; // prvni znak fontu
   BYTE  byVersion;	// m bt 4, ale nikde se nekontroluje =)
   BYTE  byFlags;	// nap. typ fontu
   BYTE  byAlpha;	// 0 nen, 1 nekomprimovan, 2 komprimovan, pozor! ve starch je "r"!
   BYTE  reserved[RHDR_RESERVED_CNT];
   char szStartData[4];
};


extern const char RFILE_ID[4];
extern const char RFILE_OLDID[4];
extern const char RFILE_DAT[4];

Texture LoadRFile(const char *_name, 
                  const char *_fakename = NULL, 
                  RFileHeader *_hdr = NULL,
                  int bpp_limit = 32);

Texture ReLoadRFile(Texture _tex, 
                    const char *_name, 
                    const char *_fakename = NULL, 
                    RFileHeader *_hdr = NULL);

#endif