// typy a uitenosti
// 13.10.2002

#ifndef TYPES8_H
#define TYPES8_H

#include <d3d8.h>
#include <d3dx8.h>

#define Surface LPDIRECT3DSURFACE8
#define Texture LPDIRECT3DTEXTURE8

#define D3DFVF_BVERTEX (D3DFVF_XYZRHW|D3DFVF_DIFFUSE|D3DFVF_TEX1) //D3DFVF_DIFFUSE , NORMAL

struct BVERTEX
{
    float x, y;      // screen position    
    float z;         // Z-buffer depth    
    float rhw;       // reciprocal homogeneous W    
    DWORD color;     // diffuse color    
    float tu1, tv1;  // Referenced as v7 in the vertex shader
	 /*
	 podle vseho se vylucuje s pouzitim D3DFVF_XYZRHW
    FLOAT blend1;		// stupen pruhlednost a podobne
    FLOAT blend2;		// stupen pruhlednost a podobne
    FLOAT blend3;		// stupen pruhlednost a podobne
	 */
};

typedef char* Name;

typedef WORD* Map;
typedef char* WindMap;

//-------------------------------------------------------------------------
// directions
//-------------------------------------------------------------------------
/*
typedef BYTE Direction;
#define DIRECTION_LEFT     1
#define DIRECTION_RIGHT    2
#define DIRECTION_UP       2
#define DIRECTION_DOWN     1
*/

#endif